| Flutter macOS Embedder |

Instance Methods | Class Methods | List of all members
FlutterMethodChannel Class Reference

`#import <FlutterChannels.h>`

Inheritance diagram for FlutterMethodChannel:

## Instance Methods
(instancetype) | - initWithName:binaryMessenger:codec:
(instancetype) | - initWithName:binaryMessenger:codec:taskQueue:
(void) | - invokeMethod:arguments:
(void) | - invokeMethod:arguments:result:
(void) | - setMethodCallHandler:
(void) | - resizeChannelBuffer:

## Class Methods
(instancetype) | + methodChannelWithName:binaryMessenger:
(instancetype) | + methodChannelWithName:binaryMessenger:codec:

## Detailed Description

A channel for communicating with the Flutter side using invocation of asynchronous methods.

Definition at line 220 of file FlutterChannels.h.

## Method Documentation

## ◆ initWithName:binaryMessenger:codec:

- (instancetype) initWithName: |  | (NSString *) | name
binaryMessenger: |  | (NSObject< FlutterBinaryMessenger > *) | messenger
codec: |  | (NSObject< FlutterMethodCodec > *) | codec

Initializes a `FlutterMethodChannel` with the specified name, binary messenger, and method codec.

The channel name logically identifies the channel; identically named channels interfere with each other's communication.

The binary messenger is a facility for sending raw, binary messages to the Flutter side. This protocol is implemented by `FlutterEngine` and `FlutterViewController`.

Parameters

  name | The channel name.
  messenger | The binary messenger.
  codec | The method codec.

## ◆ initWithName:binaryMessenger:codec:taskQueue:

- (instancetype) initWithName: |  | (NSString *) | name
binaryMessenger: |  | (NSObject< FlutterBinaryMessenger > *) | messenger
codec: |  | (NSObject< FlutterMethodCodec > *) | codec
taskQueue: |  | (NSObject< FlutterTaskQueue > *_Nullable) | taskQueue

Initializes a `FlutterMethodChannel` with the specified name, binary messenger, method codec, and task queue.

The channel name logically identifies the channel; identically named channels interfere with each other's communication.

The binary messenger is a facility for sending raw, binary messages to the Flutter side. This protocol is implemented by `FlutterEngine` and `FlutterViewController`.

Parameters

  name | The channel name.
  messenger | The binary messenger.
  codec | The method codec.
  taskQueue | The FlutterTaskQueue that executes the handler (see -[FlutterBinaryMessenger makeBackgroundTaskQueue]).

## ◆ invokeMethod:arguments:

- (void) invokeMethod: |  | (NSString *) | method
arguments: |  | (id _Nullable) | arguments

Invokes the specified Flutter method with the specified arguments, expecting no results.

See also
  MethodChannel.setMethodCallHandler

Parameters

  method | The name of the method to invoke.
  arguments | The arguments. Must be a value supported by the codec of this channel.

## ◆ invokeMethod:arguments:result:

- (void) invokeMethod: |  | (NSString *) | method
arguments: |  | (id _Nullable) | arguments
result: |  | (FlutterResult _Nullable) | callback

Invokes the specified Flutter method with the specified arguments, expecting an asynchronous result.

Parameters

  method | The name of the method to invoke.
  arguments | The arguments. Must be a value supported by the codec of this channel.
  callback | A callback that will be invoked with the asynchronous result. The result will be a `FlutterError` instance, if the method call resulted in an error on the Flutter side. Will be `FlutterMethodNotImplemented`, if the method called was not implemented on the Flutter side. Any other value, including `nil`, should be interpreted as successful results.

## ◆ methodChannelWithName:binaryMessenger:

+ (instancetype) methodChannelWithName: |  | (NSString *) | name
binaryMessenger: |  | (NSObject< FlutterBinaryMessenger > *) | messenger

Creates a `FlutterMethodChannel` with the specified name and binary messenger.

The channel name logically identifies the channel; identically named channels interfere with each other's communication.

The binary messenger is a facility for sending raw, binary messages to the Flutter side. This protocol is implemented by `FlutterEngine` and `FlutterViewController`.

The channel uses `FlutterStandardMethodCodec` to encode and decode method calls and result envelopes.

Parameters

  name | The channel name.
  messenger | The binary messenger.

Referenced by FlutterMenuPlugin::registerWithRegistrar:.

## ◆ methodChannelWithName:binaryMessenger:codec:

+ (instancetype) methodChannelWithName: |  | (NSString *) | name
binaryMessenger: |  | (NSObject< FlutterBinaryMessenger > *) | messenger
codec: |  | (NSObject< FlutterMethodCodec > *) | codec

Creates a `FlutterMethodChannel` with the specified name, binary messenger, and method codec.

The channel name logically identifies the channel; identically named channels interfere with each other's communication.

The binary messenger is a facility for sending raw, binary messages to the Flutter side. This protocol is implemented by `FlutterEngine` and `FlutterViewController`.

Parameters

  name | The channel name.
  messenger | The binary messenger.
  codec | The method codec.

Referenced by FlutterTextInputPlugin::initWithViewController:, FlutterKeyboardManager::initWithViewDelegate:, and flutter::testing::TEST_F().

## ◆ resizeChannelBuffer:

- (void) resizeChannelBuffer: |  | (NSInteger) | newSize |

Adjusts the number of messages that will get buffered when sending messages to channels that aren't fully set up yet. For example, the engine isn't running yet or the channel's message handler isn't set up on the Dart side yet.

## ◆ setMethodCallHandler:

- (void) setMethodCallHandler: |  | (FlutterMethodCallHandler _Nullable) | handler |

Registers a handler for method calls from the Flutter side.

Replaces any existing handler. Use a `nil` handler for unregistering the existing handler.

Parameters

  handler | The method call handler.

Referenced by FlutterKeyboardManager::initWithViewDelegate:, and flutter::testing::TEST_F().

The documentation for this class was generated from the following file:

- shell/platform/darwin/common/framework/Headers/FlutterChannels.h